var jQueryUiCssFilename = "jquery-ui.css";

function findJQueryUiStyleSheet() {
	for (var i = 0; i < document.styleSheets.length; ++i) {
		var styleSheet = document.styleSheets[i];
		if (styleSheet.href.split("/").slice(-1)[0] === jQueryUiCssFilename) return styleSheet;
	}
}

function findCssBlock(selector, css) {
	for (var i = 0; i < css.length; ++i) {
		if (css[i].selectorText === selector) return css[i].style;
	}
}

$(function() {
	var css = findJQueryUiStyleSheet().cssRules;
	
	if (window.location.href.indexOf("/webmin/init/") > -1) {
		// Poistetaan init-sivulta kaikki muu paitsi sammutus- ja uudelleenkäynnistysnapit
		$("table:not(.ui_buttons_table").remove();
		$("div").remove();
		$("form.ui_form").remove();
		$("hr").remove();
		$("a").remove();
	}

	$('a[href^="/config"]').remove();
	$('a[href^="/index.cgi"]').remove();
	$('a[href^="/view_man.cgi"]').remove();
	$('a[href^="/man/"]').remove();
	
	// Piilotetaan status-sivulta Webmin-logo, Webminin-versiotieto ja mahdollinen päivityslinkki
	$('a[href^="http://www.webmin.com/"]').remove();
	$('b').filter(function () { return $(this).text() === "Webmin version" }).parent().parent().remove();
	$('form[action^="/webmin/upgrade.cgi"]').remove();
	
	$("body").addClass("ui-widget");
	$("body").css("background", findCssBlock(".ui-widget-content", css).background);
	$("body").css("color", findCssBlock(".ui-widget-content", css).color);

	$("table").addClass("ui-widget ui-widget-content");
	$(".ui_table_head").addClass("ui-widget-header");
	$(".ui_table_body").addClass("ui-widget-content");
	
	$("tr").removeAttr("bgcolor");
	$(".ui_label").removeClass("ui_label");
	
	$(".header").addClass("ui-widget-header");
	
	$("input").addClass("ui-state-default");
	$("select").addClass("ui-state-default");
	
	$("td .maintitle").addClass("ui-widget-header");
	$("tr .maintitle").addClass("ui-widget-header");
	$("title").addClass("ui-widget-header");
	
	$("a").css("color", findCssBlock(".ui-widget-content", css).color);
});
